The institution static pages form is confusing

Bug #1620394 reported by Robert Lyon on 2016-09-05
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Robert Lyon
15.10
High
Unassigned
16.04
High
Unassigned
16.10
High
Robert Lyon

Bug Description

In 15.04 the textarea/TinyMCE field was disabled if the 'Use site default' switch was set to 'Yes'

This functionality was lost in later versions.

It needs to be put back for UX experience.

Robert Lyon (robertl-9) on 2016-09-05
Changed in mahara:
milestone: none → 16.10rc2

Reviewed: https://reviews.mahara.org/6925
Committed: https://git.mahara.org/mahara/mahara/commit/2da3dffb4c03e50a56888615968eaa1f6758b502
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 2da3dffb4c03e50a56888615968eaa1f6758b502
Author: Robert Lyon <email address hidden>
Date: Tue Sep 6 09:10:13 2016 +1200

Bug 1620394: Getting the correct offset for the overlay

When we have 'use site default' ticked - this was broken in 15.10

We need to stop old messages from fading out on this page or the
overlay is not positioned correctly if we do multiple savings of the
form

behatnotneeded

Change-Id: I23df925ff2cfee168371f3f8e823f1dd3ffef592
Signed-off-by: Robert Lyon <email address hidden>

Reviewed: https://reviews.mahara.org/7011
Committed: https://git.mahara.org/mahara/mahara/commit/d15725925d0e105ec9d59b50ab5e9522a58739e0
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.10_STABLE

commit d15725925d0e105ec9d59b50ab5e9522a58739e0
Author: Robert Lyon <email address hidden>
Date: Tue Sep 6 09:10:13 2016 +1200

Bug 1620394: Getting the correct offset for the overlay

When we have 'use site default' ticked - this was broken in 15.10

We need to stop old messages from fading out on this page or the
overlay is not positioned correctly if we do multiple savings of the
form

behatnotneeded

Change-Id: I23df925ff2cfee168371f3f8e823f1dd3ffef592
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit 2da3dffb4c03e50a56888615968eaa1f6758b502)

Mahara Bot (dev-mahara) wrote :

Patch for "16.04_STABLE" branch: https://reviews.mahara.org/7013

Reviewed: https://reviews.mahara.org/7012
Committed: https://git.mahara.org/mahara/mahara/commit/fc809ac435880468353fd32696876ffa42f19ffe
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit fc809ac435880468353fd32696876ffa42f19ffe
Author: Robert Lyon <email address hidden>
Date: Tue Sep 6 09:10:13 2016 +1200

Bug 1620394: Getting the correct offset for the overlay

When we have 'use site default' ticked - this was broken in 15.10

We need to stop old messages from fading out on this page or the
overlay is not positioned correctly if we do multiple savings of the
form

behatnotneeded

Change-Id: I23df925ff2cfee168371f3f8e823f1dd3ffef592
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit 2da3dffb4c03e50a56888615968eaa1f6758b502)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7013
Committed: https://git.mahara.org/mahara/mahara/commit/293ea601f754ae6e01688280e7d58c7b30661f42
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit 293ea601f754ae6e01688280e7d58c7b30661f42
Author: Robert Lyon <email address hidden>
Date: Tue Sep 6 09:10:13 2016 +1200

Bug 1620394: Getting the correct offset for the overlay

When we have 'use site default' ticked - this was broken in 15.10

We need to stop old messages from fading out on this page or the
overlay is not positioned correctly if we do multiple savings of the
form

behatnotneeded

Change-Id: I23df925ff2cfee168371f3f8e823f1dd3ffef592
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit 2da3dffb4c03e50a56888615968eaa1f6758b502)

Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
milestone: 16.10.0 → none
Robert Lyon (robertl-9) on 2016-10-25
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers